GDB (xrefs)

Public Attributes | List of all members
loaded_script Struct Reference

## Public Attributes
const char * | name
const char * | full_path
int | loaded
const struct extension_language_defn * | language

## Detailed Description

Definition at line 550 of file auto-load.c.

## Member Data Documentation

## ◆ full_path

const char* loaded_script::full_path

Definition at line 557 of file auto-load.c.

Referenced by maybe_add_script_file(), and print_script().

## ◆ language

const struct extension_language_defn* loaded_script::language

Definition at line 562 of file auto-load.c.

Referenced by collect_matching_scripts(), eq_loaded_script_entry(), hash_loaded_script_entry(), maybe_add_script_file(), and maybe_add_script_text().

## ◆ loaded

int loaded_script::loaded

Definition at line 560 of file auto-load.c.

Referenced by maybe_add_script_file(), maybe_add_script_text(), and print_script().

## ◆ name

const char* loaded_script::name

Definition at line 553 of file auto-load.c.

Referenced by gdb.printing.FlagEnumerationPrinter::__call__(), gdb.unwinder.Unwinder::__init__(), gdb.xmethod.XMethod::__init__(), gdb.printing.PrettyPrinter::__init__(), gdb.printing.SubPrettyPrinter::__init__(), gdb.xmethod.XMethodMatcher::__init__(), gdb.types.TypePrinter::__init__(), collect_matching_scripts(), exsummary.Function::consistency_check(), eq_loaded_script_entry(), hash_loaded_script_entry(), maybe_add_script_file(), maybe_add_script_text(), print_script(), exsummary.Function::print_stack(), and sort_scripts_by_name().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/auto-load.c